From e71287bed9c6c901d49392167b18a9ca61a41ce5 Mon Sep 17 00:00:00 2001
From: John Naylor <john.naylor@postgresql.org>
Date: Tue, 31 Aug 2021 14:15:22 -0400
Subject: [PATCH] Mark the timestamptz variant of date_bin() as stable

Previously, it was immutable by lack of marking. This is not
correct, since the time zone could change.

Bump catversion

Backpatch to v14, when this function came in
---
 src/include/catalog/catversion.h | 2 +-
 src/include/catalog/pg_proc.dat  | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/include/catalog/catversion.h b/src/include/catalog/catversion.h
index 876583adaa..21b6648f5a 100644
--- a/src/include/catalog/catversion.h
+++ b/src/include/catalog/catversion.h
@@ -53,6 +53,6 @@
  */
 
 /*							yyyymmddN */
-#define CATALOG_VERSION_NO	202108031
+#define CATALOG_VERSION_NO	202108311
 
 #endif
diff --git a/src/include/catalog/pg_proc.dat b/src/include/catalog/pg_proc.dat
index b603700ed9..4f170eaf48 100644
--- a/src/include/catalog/pg_proc.dat
+++ b/src/include/catalog/pg_proc.dat
@@ -5912,7 +5912,7 @@
   proargtypes => 'interval timestamp timestamp', prosrc => 'timestamp_bin' },
 { oid => '6178',
   descr => 'bin timestamp with time zone into specified interval',
-  proname => 'date_bin', prorettype => 'timestamptz',
+  proname => 'date_bin', provolatile => 's', prorettype => 'timestamptz',
   proargtypes => 'interval timestamptz timestamptz',
   prosrc => 'timestamptz_bin' },
 
-- 
2.31.1

